[haiku-commits] r34990 - haiku/trunk/build/scripts
- From: ingo_weinhold@xxxxxx
- To: haiku-commits@xxxxxxxxxxxxx
- Date: Sun, 10 Jan 2010 16:48:09 +0100 (CET)
Author: bonefish
Date: 2010-01-10 16:48:09 +0100 (Sun, 10 Jan 2010)
New Revision: 34990
Changeset: http://dev.haiku-os.org/changeset/34990/haiku
Modified:
haiku/trunk/build/scripts/build_cross_tools
Log:
Ignore the additional make flags when building gcc 2. Currently those are
only -jN and gcc's build system has problems with multiple jobs. It works
fine for binutils and gcc 4 though.
Modified: haiku/trunk/build/scripts/build_cross_tools
===================================================================
--- haiku/trunk/build/scripts/build_cross_tools 2010-01-10 15:26:46 UTC (rev
34989)
+++ haiku/trunk/build/scripts/build_cross_tools 2010-01-10 15:48:09 UTC (rev
34990)
@@ -13,6 +13,9 @@
haikuOutputDir=$3
shift 3
additionalMakeArgs=$*
+ # Note: The gcc 2 build has trouble with -jN N > 1, hence we only use
the
+ # additional flags for the binutils build. Should there ever be any
other
+ # flags than -jN, we need to handle this differently.
if [ ! -d $haikuSourceDir ]; then
@@ -111,13 +114,13 @@
rm Makefile.bak
# make gcc
-make $additionalMakeArgs cross || {
+make cross || {
echo "ERROR: Building gcc failed." >&2
exit 1
}
# install gcc
-make $additionalMakeArgs install-gcc-cross || {
+make install-gcc-cross || {
echo "ERROR: Installing the cross compiler failed." >&2
exit 1
}
Other related posts:
- » [haiku-commits] r34990 - haiku/trunk/build/scripts - ingo_weinhold